Subject: Re: [PATCH 03/10] parse-options.[ch]: consistently use "enum parse_opt_result"

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Sep 2021 17:12:40 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Use the "enum parse_opt_result" instead of an "int flags" as the
> return value of the applicable functions in parse-options.c.
>
> This will help catch future bugs, such as the missing "case" arms in
> the two existing users of the API in "blame.c" and "shortlog.c". A
> third caller in 309be813c9b (update-index: migrate to parse-options
> API, 2010-12-01) was already checking for these.

As I said, this one I am happy about.  The previous step had a
change related to this enum mixed in it (by mistake, I think),
which belongs here instead.